export const PollContext: React.Context<{}>;
export function withPoll(WrappedComponent: any): (props: any) => JSX.Element;
export class PollContextProvider extends React.PureComponent<any, any, any> {
    static propTypes: {
        editorEvents: PropTypes.Requireable<PropTypes.InferProps<{
            subscribe: PropTypes.Requireable<(...args: any[]) => any>;
            unsubscribe: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
        settings: PropTypes.Requireable<PropTypes.InferProps<{
            siteToken: PropTypes.Requireable<string>;
            isWebView: PropTypes.Requireable<boolean>;
            getSiteMembers: PropTypes.Requireable<(...args: any[]) => any>;
            pollServiceApi: PropTypes.Requireable<object>;
        }>>;
        poll: PropTypes.Requireable<PropTypes.InferProps<{
            id: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<string>;
            mediaId: PropTypes.Requireable<string>;
            settings: PropTypes.Validator<PropTypes.InferProps<{
                multipleVotes: PropTypes.Validator<boolean>;
                votesDisplay: PropTypes.Validator<boolean>;
                votersDisplay: PropTypes.Validator<boolean>;
                voteRole: PropTypes.Validator<string>;
                resultsVisibility: PropTypes.Validator<string>;
            }>>;
            options: PropTypes.Validator<(PropTypes.InferProps<{
                id: PropTypes.Requireable<string>;
                title: PropTypes.Requireable<string>;
                mediaId: PropTypes.Requireable<string>;
                count: PropTypes.Requireable<number>;
                rating: PropTypes.Requireable<number>;
            }> | null | undefined)[]>;
        }>>;
        setPoll: PropTypes.Requireable<(...args: any[]) => any>;
        children: PropTypes.Requireable<any>;
        t: PropTypes.Requireable<(...args: any[]) => any>;
    };
    constructor(props: any);
    pollApiClient: any;
    fetchPoll(): Promise<void>;
    populateWithData(poll: any): any;
    syncPoll: () => Promise<void>;
    updatePoll(poll: any): void;
    vote(optionId: any): Promise<void>;
    unvote(optionId: any): Promise<void>;
    getVoters(optionId: any, params: any): any;
    changePollTitle(title: any): void;
    changePollImage(mediaId: any): void;
    updatePollOption(index: any, option: any): void;
    addOption(): void;
    removeOption(index: any): void;
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=PollContext.d.ts.map