export const PollOptionPropTypes: PropTypes.Requireable<PropTypes.InferProps<{
    id: PropTypes.Requireable<string>;
    title: PropTypes.Requireable<string>;
    mediaId: PropTypes.Requireable<string>;
    count: PropTypes.Requireable<number>;
    rating: PropTypes.Requireable<number>;
}>>;
export namespace PollPropTypes {
    export const id: PropTypes.Requireable<string>;
    export const title: PropTypes.Requireable<string>;
    export const mediaId: PropTypes.Requireable<string>;
    export const settings: PropTypes.Validator<PropTypes.InferProps<{
        multipleVotes: PropTypes.Validator<boolean>;
        votesDisplay: PropTypes.Validator<boolean>;
        votersDisplay: PropTypes.Validator<boolean>;
        voteRole: PropTypes.Validator<string>;
        resultsVisibility: PropTypes.Validator<string>;
    }>>;
    export const options: PropTypes.Validator<(PropTypes.InferProps<{
        id: PropTypes.Requireable<string>;
        title: PropTypes.Requireable<string>;
        mediaId: PropTypes.Requireable<string>;
        count: PropTypes.Requireable<number>;
        rating: PropTypes.Requireable<number>;
    }> | null | undefined)[]>;
}
export namespace PollActionsPropTypes {
    export const changePollTitle: PropTypes.Requireable<(...args: any[]) => any>;
    export const changePollImage: PropTypes.Requireable<(...args: any[]) => any>;
    export const updatePollOption: PropTypes.Requireable<(...args: any[]) => any>;
    export const addOption: PropTypes.Requireable<(...args: any[]) => any>;
    export const removeOption: PropTypes.Requireable<(...args: any[]) => any>;
}
export namespace PollContextPropTypes {
    export const poll: PropTypes.Requireable<PropTypes.InferProps<{
        changePollTitle: PropTypes.Requireable<(...args: any[]) => any>;
        changePollImage: PropTypes.Requireable<(...args: any[]) => any>;
        updatePollOption: PropTypes.Requireable<(...args: any[]) => any>;
        addOption: PropTypes.Requireable<(...args: any[]) => any>;
        removeOption: PropTypes.Requireable<(...args: any[]) => any>;
        id: PropTypes.Requireable<string>;
        title: PropTypes.Requireable<string>;
        mediaId: PropTypes.Requireable<string>;
        settings: PropTypes.Validator<PropTypes.InferProps<{
            multipleVotes: PropTypes.Validator<boolean>;
            votesDisplay: PropTypes.Validator<boolean>;
            votersDisplay: PropTypes.Validator<boolean>;
            voteRole: PropTypes.Validator<string>;
            resultsVisibility: PropTypes.Validator<string>;
        }>>;
        options: PropTypes.Validator<(PropTypes.InferProps<{
            id: PropTypes.Requireable<string>;
            title: PropTypes.Requireable<string>;
            mediaId: PropTypes.Requireable<string>;
            count: PropTypes.Requireable<number>;
            rating: PropTypes.Requireable<number>;
        }> | null | undefined)[]>;
    }>>;
}
import PropTypes from "prop-types";
//# sourceMappingURL=types.d.ts.map