export declare const LAYOUT: {
    LIST: string;
    GRID: string;
};
export declare enum BACKGROUND_TYPE {
    COLOR = "color",
    IMAGE = "image",
    GRADIENT = "gradient"
}
export declare const BACKGROUND_PRESETS: {
    color: string[];
    image: string[];
    gradient: string[];
};
export declare const OPTION_IMAGES_POOL: string[];
export declare const POLL_IMAGES_POOL: string[];
export declare const MEMBER_ROLES: {
    ALL: string;
    SITE_MEMBERS: string;
};
export declare const DIRECTION: {
    LTR: string;
    RTL: string;
};
export declare const VISIBILITY: {
    ALWAYS: string;
    VOTERS: string;
    ME: string;
};
export declare const DEFAULT_COMPONENT_DATA: {
    config: {
        alignment: string;
        size: string;
        width: string;
    };
    poll: {
        ownVotes: never[];
        title: string;
        settings: {
            multipleVotes: boolean;
            votesDisplay: boolean;
            votersDisplay: boolean;
            voteRole: string;
            resultsVisibility: string;
        };
        options: never[];
    };
    layout: {
        poll: {
            type: string;
            direction: string;
            enableImage: boolean;
        };
        option: {
            enableImage: boolean;
        };
    };
    design: {
        poll: {
            backgroundType: BACKGROUND_TYPE;
            background: string;
            borderRadius: number;
        };
        option: {
            borderRadius: number;
        };
    };
};
//# sourceMappingURL=defaults.d.ts.map