import _extends from"@babel/runtime/helpers/extends";import _inheritsLoose from"@babel/runtime/helpers/inheritsLoose";import React,{PureComponent,Component}from"react";import _asyncToGenerator from"@babel/runtime/helpers/asyncToGenerator";import _assertThisInitialized from"@babel/runtime/helpers/assertThisInitialized";import _regeneratorRuntime from"@babel/runtime/regenerator";import{cloneDeep,clamp}from"lodash";import axios from"axios";import PropTypes from"prop-types";import{getScaleImageSrc}from"wix-rich-content-common/libs/imageUtils";import{B as BACKGROUND_TYPE,O as OPTION_IMAGES_POOL,P as POLL_IMAGES_POOL,L as LAYOUT,V as VISIBILITY}from"./viewer-loadable2.js";import _objectWithoutPropertiesLoose from"@babel/runtime/helpers/objectWithoutPropertiesLoose";import cls from"classnames";import FlipMove from"react-flip-move";import Measure,{withContentRect}from"react-measure";import ReactModal from"react-modal";import InfiniteScroll from"react-infinite-scroller";import{mergeStyles}from"wix-rich-content-common";import Tooltip from"wix-rich-content-common/libs/Tooltip";import"@loadable/component";var SocialPollsService=function(){function SocialPollsService(siteToken){this.cancelTokens={createPoll:null,updatePoll:null,vote:null,unvote:null},this.client=axios.create({baseURL:"/_serverless/polls-client/v1",headers:{Authorization:siteToken}}),this.client.interceptors.response.use(this.successResponseInterceptor)}var _proto=SocialPollsService.prototype;return _proto.successResponseInterceptor=function(response){var _response$data;return(null===(_response$data=response.data)||void 0===_response$data?void 0:_response$data.question)||response.data},_proto.failResponseInterceptor=function(error){return Promise.reject(error)},_proto.fetchPoll=function(pollId){return this.client.get("/questions/"+pollId)},_proto.createPoll=function(question){var _this$cancelTokens$cr,_this=this;null===(_this$cancelTokens$cr=this.cancelTokens.createPoll)||void 0===_this$cancelTokens$cr||_this$cancelTokens$cr.cancel(SocialPollsService.CANCEL_MESSAGE);var source=axios.CancelToken.source();return this.cancelTokens.createPoll=source,this.client.post("/questions",{question:question},{cancelToken:source.token}).then((function(response){return _this.cancelTokens.createPoll=null,response}))},_proto.updatePoll=function(question){var _this$cancelTokens$up,_this2=this;null===(_this$cancelTokens$up=this.cancelTokens.updatePoll)||void 0===_this$cancelTokens$up||_this$cancelTokens$up.cancel(SocialPollsService.CANCEL_MESSAGE);var source=axios.CancelToken.source();return this.cancelTokens.updatePoll=source,this.client.patch("/questions/"+question.id,{question:question},{cancelToken:source.token}).then((function(response){return _this2.cancelTokens.updatePoll=null,response}))},_proto.vote=function(pollId,optionId){var _this$cancelTokens$vo,_this3=this;null===(_this$cancelTokens$vo=this.cancelTokens.vote)||void 0===_this$cancelTokens$vo||_this$cancelTokens$vo.cancel(SocialPollsService.CANCEL_MESSAGE);var source=axios.CancelToken.source();return this.cancelTokens.vote=source,this.client.post("/questions/"+pollId+"/vote",{optionId:optionId},{cancelToken:source.token}).then((function(response){return _this3.cancelTokens.vote=null,response}))},_proto.unvote=function(pollId,optionId){var _this$cancelTokens$un,_this4=this;null===(_this$cancelTokens$un=this.cancelTokens.unvote)||void 0===_this$cancelTokens$un||_this$cancelTokens$un.cancel(SocialPollsService.CANCEL_MESSAGE);var source=axios.CancelToken.source();return this.cancelTokens.unvote=source,this.client.post("/questions/"+pollId+"/unvote",{optionId:optionId},{cancelToken:source.token}).then((function(response){return _this4.cancelTokens.unvote=null,response}))},_proto.getVoters=function(pollId,optionId,params){return this.client.get("/questions/"+pollId+"/options/"+optionId+"/voters",{params:params})},SocialPollsService}();SocialPollsService.CANCEL_MESSAGE="cancel";var PollOptionPropTypes=PropTypes.shape({id:PropTypes.string,title:PropTypes.string,mediaId:PropTypes.string,count:PropTypes.number,rating:PropTypes.number}),PollPropTypes={id:PropTypes.string,title:PropTypes.string,mediaId:PropTypes.string,settings:PropTypes.shape({multipleVotes:PropTypes.bool.isRequired,votesDisplay:PropTypes.bool.isRequired,votersDisplay:PropTypes.bool.isRequired,voteRole:PropTypes.string.isRequired,resultsVisibility:PropTypes.string.isRequired}).isRequired,options:PropTypes.arrayOf(PollOptionPropTypes).isRequired},PollActionsPropTypes={changePollTitle:PropTypes.func,changePollImage:PropTypes.func,updatePollOption:PropTypes.func,addOption:PropTypes.func,removeOption:PropTypes.func};function getRandomValue(pool){return pool[Math.floor(Math.random()*pool.length)]}function getBackgroundString(background,backgroundType,width,height){switch(backgroundType){case BACKGROUND_TYPE.GRADIENT:try{var gradient="string"==typeof background?JSON.parse(background):background;return"linear-gradient("+gradient.angle+"deg, "+gradient.start+", "+gradient.end+")"}catch(error){return background}case BACKGROUND_TYPE.IMAGE:return width&&height?"url('"+getScaleImageSrc(background,width,height)+"') center / cover":null;case BACKGROUND_TYPE.COLOR:default:return background}}PropTypes.shape(_extends({},PollPropTypes,PollActionsPropTypes));var PollContext=React.createContext({}),withPoll=function(WrappedComponent){return function(props){return React.createElement(PollContext.Consumer,null,(function(contextValue){return React.createElement(WrappedComponent,_extends({},props,contextValue))}))}},PollContextProvider=function(_PureComponent){function PollContextProvider(props){var _props$settings,_this;return(_this=_PureComponent.call(this,props)||this).state={changePollTitle:_this.changePollTitle.bind(_assertThisInitialized(_this)),updatePollOption:_this.updatePollOption.bind(_assertThisInitialized(_this)),addOption:_this.addOption.bind(_assertThisInitialized(_this)),removeOption:_this.removeOption.bind(_assertThisInitialized(_this)),changePollImage:_this.changePollImage.bind(_assertThisInitialized(_this)),fetchPoll:_this.fetchPoll.bind(_assertThisInitialized(_this)),vote:_this.vote.bind(_assertThisInitialized(_this)),unvote:_this.unvote.bind(_assertThisInitialized(_this)),getVoters:_this.getVoters.bind(_assertThisInitialized(_this)),poll:_this.props.poll},_this.syncPoll=_asyncToGenerator(_regeneratorRuntime.mark((function _callee(){var dto,poll;return _regeneratorRuntime.wrap((function(_context){for(;;)switch(_context.prev=_context.next){case 0:if(!(poll=_this.populateWithData(_this.state.poll)).id){_context.next=7;break}return _context.next=4,_this.pollApiClient.updatePoll(poll);case 4:dto=_context.sent,_context.next=10;break;case 7:return _context.next=9,_this.pollApiClient.createPoll(poll);case 9:dto=_context.sent;case 10:_this.props.setPoll(dto),console.debug("polls publish callback");case 12:case"end":return _context.stop()}}),_callee)}))),_this.pollApiClient=(null===(_props$settings=props.settings)||void 0===_props$settings?void 0:_props$settings.pollServiceApi)||new SocialPollsService(props.settings.siteToken),_this}_inheritsLoose(PollContextProvider,_PureComponent);var _proto=PollContextProvider.prototype;return _proto.componentWillReceiveProps=function(props){var _props$settings2;null!==(_props$settings2=props.settings)&&void 0!==_props$settings2&&_props$settings2.pollServiceApi||props.settings.siteToken===this.props.settings.siteToken||(this.pollApiClient=new SocialPollsService(props.settings.siteToken),this.fetchPoll()),JSON.stringify(props.poll)!==JSON.stringify(this.props.poll)&&this.setState((function(){return{poll:props.poll}}))},_proto.componentDidMount=function(){var editorEvents=this.props.editorEvents;null==editorEvents||editorEvents.subscribe("plugin:publish",this.syncPoll)},_proto.componentWillUnmount=function(){var _this$props$editorEve;null===(_this$props$editorEve=this.props.editorEvents)||void 0===_this$props$editorEve||_this$props$editorEve.unsubscribe("plugin:publish",this.syncPoll)},_proto.fetchPoll=function(){var _fetchPoll=_asyncToGenerator(_regeneratorRuntime.mark((function _callee2(){var _this$props$setPoll,_this$props,poll;return _regeneratorRuntime.wrap((function(_context2){for(;;)switch(_context2.prev=_context2.next){case 0:if(this.state.poll.id){_context2.next=2;break}return _context2.abrupt("return");case 2:return _context2.next=4,this.pollApiClient.fetchPoll(this.state.poll.id);case 4:poll=_context2.sent,null===(_this$props$setPoll=(_this$props=this.props).setPoll)||void 0===_this$props$setPoll||_this$props$setPoll.call(_this$props,poll),this.setState((function(){return{poll:poll}}));case 7:case"end":return _context2.stop()}}),_callee2,this)})));return function(){return _fetchPoll.apply(this,arguments)}}(),_proto.populateWithData=function(poll){var t=this.props.t;return poll.title=poll.title||t("Poll_Editor_Question_Placeholder"),poll.options=poll.options.map((function(option){return _extends({},option,{title:option.title||t("Poll_Editor_Answer_Placeholder")})})),poll},_proto.updatePoll=function(poll){this.props.setPoll(Object.assign({},this.state.poll,poll))},_proto.vote=function(){var _vote=_asyncToGenerator(_regeneratorRuntime.mark((function _callee3(optionId){var poll;return _regeneratorRuntime.wrap((function(_context3){for(;;)switch(_context3.prev=_context3.next){case 0:return _context3.next=2,this.pollApiClient.vote(this.state.poll.id,optionId);case 2:poll=_context3.sent,this.setState({poll:poll});case 4:case"end":return _context3.stop()}}),_callee3,this)})));return function(_x){return _vote.apply(this,arguments)}}(),_proto.unvote=function(){var _unvote=_asyncToGenerator(_regeneratorRuntime.mark((function _callee4(optionId){var poll;return _regeneratorRuntime.wrap((function(_context4){for(;;)switch(_context4.prev=_context4.next){case 0:return _context4.next=2,this.pollApiClient.unvote(this.state.poll.id,optionId);case 2:poll=_context4.sent,this.setState({poll:poll});case 4:case"end":return _context4.stop()}}),_callee4,this)})));return function(_x2){return _unvote.apply(this,arguments)}}(),_proto.getVoters=function(optionId,params){return this.pollApiClient.getVoters(this.state.poll.id,optionId,params)},_proto.changePollTitle=function(title){return this.updatePoll({title:title})},_proto.changePollImage=function(mediaId){return this.updatePoll({mediaId:mediaId})},_proto.updatePollOption=function(index,option){var poll=cloneDeep(this.state.poll);return poll.options[index]=option,this.updatePoll({options:poll.options})},_proto.addOption=function(){var poll=cloneDeep(this.state.poll);return poll.options.push({title:"",mediaId:getRandomValue(OPTION_IMAGES_POOL)}),this.updatePoll({options:poll.options})},_proto.removeOption=function(index){var poll=cloneDeep(this.state.poll);return poll.options.splice(index,1),this.updatePoll({options:poll.options})},_proto.render=function(){var children=this.props.children;return React.createElement(PollContext.Provider,{value:this.state},children)},PollContextProvider}(PureComponent),_excluded=["layout","design","t"];PropTypes.shape({isViewMode:PropTypes.bool.isRequired,setInPluginEditingMode:PropTypes.func,helpers:PropTypes.shape({handleFileUpload:PropTypes.func}),theme:PropTypes.object.isRequired,getSiteMembers:PropTypes.func}).isRequired,PropTypes.func.isRequired,PropTypes.object.isRequired,PropTypes.object.isRequired;var RCEHelpersContext=React.createContext({}),withRCEHelpers=function(WrappedComponent){return function(props){return React.createElement(RCEHelpersContext.Consumer,null,(function(_ref){var layout=_ref.layout,design=_ref.design,t=_ref.t,rest=_objectWithoutPropertiesLoose(_ref,_excluded);return React.createElement(WrappedComponent,_extends({},props,{rce:rest,t:t,layout:layout,design:design}))}))}},RemoveIcon=function(props){return React.createElement("svg",Object.assign({width:"24",height:"24",viewBox:"0 0 24 24"},props),React.createElement("path",{fill:"currentColor",fillRule:"evenodd",d:"M16.23 7l.77.77L12.769 12 17 16.23l-.77.77L12 12.769 7.77 17 7 16.23 11.23 12 7 7.77 7.77 7 12 11.231 16.23 7z"}))},CheckIcon=function(props){return React.createElement("svg",Object.assign({width:"24px",height:"24px",viewBox:"0 0 24 24"},props),React.createElement("g",{stroke:"none",strokeWidth:"1",fill:"none",fillRule:"evenodd"},React.createElement("g",{transform:"translate(-496.000000, 0.000000)"},React.createElement("g",null,React.createElement("polyline",{stroke:"#FFFFFF",strokeWidth:"2",points:"508 23.8193359 508 64 0 64 0 12 496.790039 12"}),React.createElement("g",{transform:"translate(496.000000, 0.000000)"},React.createElement("g",null,React.createElement("circle",{fill:"#FFFFFF",cx:"12",cy:"12",r:"12"}),React.createElement("g",{transform:"translate(5.000000, 8.000000)",fill:"currentColor"},React.createElement("polygon",{points:"12.2335029 0.239154296 13.4174702 1.3883133 5.59026761 9.73257326 0.586372643 5.73025155 1.59665912 4.42329121 5.43146554 7.49052765"}))),React.createElement("g",{transform:"translate(5.000000, 8.000000)"}))))))},AddIcon=function(props){return React.createElement("svg",Object.assign({width:"72",height:"72",viewBox:"0 0 72 72"},props),React.createElement("path",{fill:"currentColor",fillRule:"evenodd",d:"M38.4 12v21.6H60v4.8H38.4V60h-4.8V38.4H12v-4.8h21.6V12h4.8z"}))},LoaderIcon=function(props){return React.createElement("svg",Object.assign({width:"24",height:"24",viewBox:"0 0 24 24"},props),React.createElement("defs",null,React.createElement("path",{id:"file-upload-loader-icon-path",d:"M14.064 5.948l1.518-.507A8 8 0 1 1 10.473.39l-.506 1.519a6.4 6.4 0 1 0 4.097 4.04z"})),React.createElement("g",{fill:"none",fillRule:"evenodd",transform:"translate(4 4)"},React.createElement("mask",{id:"file-upload-loader-mask",fill:"#fff"},React.createElement("use",{xlinkHref:"#file-upload-loader-icon-path"})),React.createElement("use",{fill:"currentColor",xlinkHref:"#file-upload-loader-icon-path"}),React.createElement("path",{fill:"currentColor",d:"M-4-4h24v24H-4z",mask:"url(#file-upload-loader-mask)"})))},ReplaceIcon=function(props){return React.createElement("svg",Object.assign({width:"16",height:"18",viewBox:"0 0 16 18"},props),React.createElement("g",{fill:"#FFF",fillRule:"evenodd"},React.createElement("path",{d:"M3.256 3.468c2.582-2.335 6.447-2.371 9.064-.239l-2.075.079c-.267.01-.475.232-.464.5.01.26.225.464.482.464h.018l3.186-.118c.26-.01.464-.221.464-.482v-.036V3.615l-.118-3.15c-.01-.268-.235-.475-.5-.465-.268.011-.475.233-.464.5l.075 1.975C11.628 1.415 10.031.8 8.324.715 6.21.608 4.178 1.333 2.61 2.754.453 4.708-.462 7.679.224 10.508c.054.221.25.367.468.367.04 0 .075-.003.114-.014.257-.064.418-.325.354-.582-.6-2.486.2-5.096 2.096-6.81zM15.767 6.983c-.064-.258-.325-.418-.582-.354-.257.064-.418.325-.354.582.604 2.486-.2 5.097-2.096 6.81-1.332 1.204-3.004 1.797-4.668 1.797-1.59 0-3.175-.539-4.454-1.603l2.1-.19c.265-.025.461-.257.436-.525-.025-.267-.257-.46-.525-.435l-3.175.285c-.264.025-.46.258-.436.525L2.3 17.05c.021.25.232.44.479.44.014 0 .028 0 .042-.004.265-.025.461-.257.436-.525l-.171-1.932c1.296 1.05 2.885 1.66 4.582 1.746.136.008.271.011.403.011 1.968 0 3.84-.721 5.311-2.05 2.157-1.953 3.072-4.921 2.386-7.753z"})))},NonEditableIcon=function(props){return React.createElement("svg",Object.assign({width:"15px",height:"15px",viewBox:"0 0 15 15"},props),React.createElement("g",{id:"Polls-Desktop",stroke:"none",strokeWidth:"1",fill:"none",fillRule:"evenodd"},React.createElement("g",{id:"WOW-Poll-/-Added-Poll-/-Edit-Mode",transform:"translate(-875.000000, -558.000000)"},React.createElement("g",{id:"Group-6",transform:"translate(871.000000, 553.000000)"},React.createElement("g",{id:"01-Foundation-/-Icon-Medium-24-(Default)-/-01-Actions-/-01-Edit",fill:"#FFFFFF"},React.createElement("path",{d:"M16.679,5.60187506 L18.381,7.30587506 C19.207,8.13287506 19.207,9.47787506 18.381,10.3058751 L10.211,18.4858751 L4,19.9998751 L5.512,13.7818751 L13.682,5.60187506 C14.481,4.79987506 15.878,4.79887506 16.679,5.60187506 Z M8.66091072,16.0462125 L9.973,17.3598751 L15.625,11.7018751 L12.289,8.36087506 L6.637,14.0198751 L7.95422762,15.3386821 L11.1467061,12.1463747 C11.3419735,11.9511178 11.6585559,11.9511262 11.8538129,12.1463936 C12.0490698,12.341661 12.0490613,12.6582435 11.8537939,12.8535004 L8.66091072,16.0462125 Z M16.306,11.0198751 L17.7,9.62387506 C18.15,9.17287506 18.15,8.43787506 17.7,7.98687506 L15.998,6.28287506 C15.561,5.84587506 14.801,5.84687506 14.364,6.28287506 L12.97,7.67887506 L16.306,11.0198751 Z M5.426,18.5738751 L8.995,17.7438751 L6.254,14.9988751 L5.426,18.5738751 Z"})),React.createElement("line",{x1:"7",y1:"7",x2:"17.9601551",y2:"17.9601551",stroke:"#FFFFFF",strokeLinecap:"square"})))))},styles$6_root="_2HHL4",styles$6_text="_10feU",styles$6_input="_1rXdg",styles$6_small="FGBDG",styles$6_medium="_3ZLJB",styles$6_large="_3pdTE",styles$6_webview="_2ZNsy",styles$6_endAdornment="_6cUfS",styles$6_shown="zXx6i",styles$6_value="_2F8GJ",styles$6_spinner="_1ImUX",TextFieldComponent=function(_React$PureComponent){function TextFieldComponent(){for(var _this,_len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];return(_this=_React$PureComponent.call.apply(_React$PureComponent,[this].concat(args))||this).$el=React.createRef(),_this.state={placeholder:_this.props.placeholder,rows:1,syncing:!1},_this.handleWindowResizeEvent=function(){return setTimeout((function(){return _this.resize()}))},_this.handleFocus=function(e){e.stopPropagation(),setTimeout((function(){return _this.resize()})),_this.hidePlaceholder(),_this.props.rce.setInPluginEditingMode(!0)},_this.handleBlur=function(){setTimeout((function(){return _this.resize()})),_this.showPlaceholder(),_this.props.rce.setInPluginEditingMode(!1)},_this.handleChange=function(event){_this.props.onChange(event.target.value),_this.resize()},_this}_inheritsLoose(TextFieldComponent,_React$PureComponent);var _proto=TextFieldComponent.prototype;return _proto.componentDidMount=function(){var _window;!this.props.rce.isViewMode&&this.resize(),this.handleAutoFocus(),null===(_window=window)||void 0===_window||_window.addEventListener("resize",this.handleWindowResizeEvent)},_proto.componentDidUpdate=function(props){this.props.rce.isViewMode!==props.rce.isViewMode&&this.handleAutoFocus()},_proto.handleAutoFocus=function(){var _this$$el$current,_this$props=this.props,rce=_this$props.rce,autofocus=_this$props.autofocus,isEditMode=!rce.isViewMode;autofocus&&isEditMode&&(null===(_this$$el$current=this.$el.current)||void 0===_this$$el$current||_this$$el$current.focus())},_proto.componentWillUnmount=function(){var _window2;null===(_window2=window)||void 0===_window2||_window2.removeEventListener("resize",this.handleWindowResizeEvent)},_proto.hidePlaceholder=function(){this.setState({placeholder:""})},_proto.showPlaceholder=function(){this.setState({placeholder:this.props.placeholder})},_proto.handleKeyDown=function(event){13===event.keyCode&&event.preventDefault()},_proto.resize=function(){if(this.$el.current){var computedStyles=getComputedStyle(this.$el.current),lineHeight=parseInt(computedStyles.lineHeight),paddingTop=parseInt(computedStyles.paddingTop),paddingBottom=parseInt(computedStyles.paddingBottom);this.$el.current.rows=1;var scrollHeight=this.$el.current.scrollHeight;this.$el.current.rows=this.state.rows;var contentHeight=scrollHeight-(paddingTop+paddingBottom),rows=Math.ceil(clamp(contentHeight/lineHeight,1,1/0));this.setState({rows:rows})}},_proto.render=function(){var _ref2,_cls2,_ref,_cls,_this$props2=this.props,textAutoResize=_this$props2.textAutoResize,className=_this$props2.className,rce=_this$props2.rce,endAdornment=_this$props2.endAdornment,style=_this$props2.style,children=_this$props2.children,startAdornment=_this$props2.startAdornment,maxLength=_this$props2.maxLength,disabled=_this$props2.disabled,value=_this$props2.value,_this$state=this.state,placeholder=_this$state.placeholder,rows=_this$state.rows,syncing=_this$state.syncing;return rce.isViewMode||rce.isPreview?React.createElement(React.Fragment,null,React.createElement("p",{style:style,className:cls(styles$6_text,className,textAutoResize&&(_ref={},_ref[styles$6_small]=value.length>120,_ref[styles$6_medium]=value.length<=120,_ref[styles$6_large]=value.length<=80,_ref),(_cls={},_cls[styles$6_webview]=rce.isWebView,_cls))},startAdornment,children,React.createElement("span",{className:styles$6_value},this.props.value||this.props.placeholder))):React.createElement("div",{className:styles$6_root},startAdornment,React.createElement("textarea",{disabled:disabled,maxLength:maxLength,style:style,ref:this.$el,onChange:this.handleChange,onFocus:this.handleFocus,onBlur:this.handleBlur,placeholder:placeholder,value:value,rows:rows,onKeyDown:this.handleKeyDown,className:cls(styles$6_input,className,textAutoResize&&(_ref2={},_ref2[styles$6_small]=value.length>120,_ref2[styles$6_medium]=value.length<=120,_ref2[styles$6_large]=value.length<=80,_ref2)),onClick:void 0}),React.createElement("span",{className:cls(styles$6_endAdornment,(_cls2={},_cls2[styles$6_shown]=syncing,_cls2))},syncing?React.createElement(LoaderIcon,{className:styles$6_spinner}):endAdornment))},TextFieldComponent}(React.PureComponent),TextField=withRCEHelpers(TextFieldComponent);TextFieldComponent.defaultProps={maxLength:500,disabled:!1},PropTypes.string,PropTypes.func,PropTypes.string,PropTypes.array,PropTypes.bool,PropTypes.bool;var styles$5_container="_2zQne",styles$5_disabled="uvE6m",styles$5_imageInput="_1h0vq",styles$5_overlay="_1_Eqt",styles$5_text="_366vU",styles$5_shown="_2Dlbf",styles$5_hide="_2VE8p",styles$5_spinner="_2O5EL",ImageUploadComponent=function(_PureComponent){function ImageUploadComponent(){for(var _this,_len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];return(_this=_PureComponent.call.apply(_PureComponent,[this].concat(args))||this).state={value:_this.props.value||getRandomValue(POLL_IMAGES_POOL),backgroundImage:null,loading:!1},_this.$label=React.createRef(),_this.handleFileUpload=function(_ref){var data=_ref.data;_this.setState({value:"https://static.wixstatic.com/media/"+data.file_name,loading:!1},(function(){_this.updateBackgroundImage(),_this.sync()}))},_this.handleFileReadLoad=function(backgroundImage,file){var helpers=_this.props.rce.helpers;_this.setState({backgroundImage:"url("+backgroundImage+")",loading:!1}),null!=helpers&&helpers.handleFileUpload&&(_this.setState({loading:!0}),helpers.handleFileUpload(file,_this.handleFileUpload))},_this.handleInputChange=function(e){_this.handleFileChange(Array.from(e.target.files)),e.target.value=null},_this.handleFileChange=function(_ref2){var file=_ref2[0],reader=new FileReader;_this.setState({loading:!0}),reader.onload=function(e){return _this.handleFileReadLoad(e.target.result,file)},reader.readAsDataURL(file)},_this.handleKeyPress=function(e){var _this$$label$current;"Enter"!==e.key&&" "!==e.key&&"Spacebar"!==e.key&&13!==e.which&&32!==e.which||(e.preventDefault(),null===(_this$$label$current=_this.$label.current)||void 0===_this$$label$current||_this$$label$current.click())},_this.handleFocus=function(e){e.stopPropagation(),_this.props.rce.setInPluginEditingMode(!0)},_this.handleBlur=function(){_this.props.rce.setInPluginEditingMode(!1)},_this}_inheritsLoose(ImageUploadComponent,_PureComponent);var _proto=ImageUploadComponent.prototype;return _proto.componentWillReceiveProps=function(props){var _this2=this,value=props.value,contentRect=props.contentRect,_this$props=this.props,prevValue=_this$props.value,prevContentRect=_this$props.contentRect;value!==prevValue&&this.setState({value:value},(function(){return _this2.updateBackgroundImage()})),JSON.stringify(contentRect.bounds)!==JSON.stringify(prevContentRect.bounds)&&this.updateBackgroundImage(contentRect.bounds)},_proto.sync=function(){this.props.onChange(this.state.value)},_proto.updateBackgroundImage=function(bounds){void 0===bounds&&(bounds=this.props.contentRect.bounds);var value=this.state.value;if(!bounds.width||!bounds.height)return null;var backgroundImage="url("+getScaleImageSrc(value,bounds.width,bounds.height)+")";this.setState((function(){return{backgroundImage:backgroundImage}}))},_proto.render=function(){var _cls,_cls2,_cls3,_this$props2=this.props,className=_this$props2.className,rce=_this$props2.rce,small=_this$props2.small,disabled=_this$props2.disabled,measureRef=_this$props2.measureRef,_this$props2$style=_this$props2.style,style=void 0===_this$props2$style?{}:_this$props2$style,_this$state=this.state,loading=_this$state.loading,backgroundImage=_this$state.backgroundImage;return React.createElement("div",{ref:measureRef,className:cls(styles$5_container,className,(_cls={},_cls[styles$5_disabled]=rce.isViewMode||disabled,_cls)),style:_extends({},style,{backgroundImage:backgroundImage}),tabIndex:rce.isViewMode?-1:0,"aria-hidden":rce.isViewMode,role:"button",onFocus:this.handleFocus,onBlur:this.handleBlur,onKeyPress:this.handleKeyPress},React.createElement("label",{ref:this.$label},React.createElement("input",{type:"file",disabled:rce.isViewMode||disabled,onChange:this.handleInputChange,accept:"image/*",tabIndex:-1,className:styles$5_imageInput}),React.createElement("div",{className:cls(styles$5_overlay,(_cls2={},_cls2[styles$5_shown]=loading,_cls2))},loading?React.createElement(LoaderIcon,{width:small?24:48,height:small?24:48,className:styles$5_spinner}):React.createElement(React.Fragment,null,React.createElement(ReplaceIcon,null),React.createElement("p",{className:cls(styles$5_text,(_cls3={},_cls3[styles$5_hide]=small,_cls3))},"Change Image")))))},ImageUploadComponent}(PureComponent);ImageUploadComponent.defaultProps={imagesPool:[],disabled:!1};var ImageUpload=withContentRect("bounds")(withRCEHelpers(ImageUploadComponent)),styles$4={title:"hCI2S",image:"_3iE5Z",webview:"_1MlfU"},PollHeader=withRCEHelpers(withPoll(function(_PureComponent){function PollHeaderComponent(){return _PureComponent.apply(this,arguments)||this}return _inheritsLoose(PollHeaderComponent,_PureComponent),PollHeaderComponent.prototype.render=function(){var _cls,_layout$poll,_this$props=this.props,poll=_this$props.poll,changePollTitle=_this$props.changePollTitle,changePollImage=_this$props.changePollImage,layout=_this$props.layout,t=_this$props.t,rce=_this$props.rce;return React.createElement("div",{className:cls(styles$4.header,(_cls={},_cls[styles$4.webview]=rce.isWebView,_cls))},React.createElement(TextField,{autofocus:!0,textAutoResize:!0,maxLength:160,className:styles$4.title,value:poll.title,onChange:changePollTitle,placeholder:t("Poll_Editor_Question_Placeholder")}),(null===(_layout$poll=layout.poll)||void 0===_layout$poll?void 0:_layout$poll.enableImage)&&React.createElement(ImageUpload,{disabled:rce.isPreview,className:styles$4.image,value:poll.mediaId,onChange:changePollImage}))},PollHeaderComponent}(PureComponent)));PropTypes.array,PropTypes.object,PropTypes.bool,PropTypes.bool;var styles$3={container:"_1x7jD",webview:"_2Zpax",avatar_list:"_2E87X",avatar:"_1KLMN",user_avatar:"_3sXUy",modal:"_2MPjy",voted_users_modal:"_3bCdv",overlay:"_3Gl4M",user_card:"OJctP",user_name:"_1sTM0",voted_users_modal_header:"XyxRP",cta:"_18-OE",close_icon:"_2XWMy",title:"_3oShI",member_list_container:"_234RI",member_list:"_3dGew",loader:"_1VE1h",anonymous_counter:"_3C42L",spinner:"_3jAdy",spin:"F2C49"},FallbackAvatar=function(props){return React.createElement("svg",Object.assign({width:"36",height:"36",viewBox:"0 0 36 36",fill:"none",xmlns:"http://www.w3.org/2000/svg"},props),React.createElement("mask",{id:"mask0_51:19729",maskUnits:"userSpaceOnUse",x:"0",y:"0",width:"36",height:"36"},React.createElement("circle",{cx:"18",cy:"18",r:"18",fill:"#E6E6E6"}),React.createElement("circle",{cx:"18",cy:"18",r:"18",fill:"#E6E6E6"})),React.createElement("g",{mask:"url(#mask0_51:19729)"},React.createElement("circle",{cx:"18",cy:"18",r:"18",fill:"#F0F0F0"}),React.createElement("circle",{cx:"18",cy:"14",r:"7",fill:"#A6A6A6"}),React.createElement("circle",{cx:"18",cy:"41",r:"18",fill:"#A6A6A6"})))};function VoterAvatar(props){var className=props.className,src=props.src;return src?React.createElement("img",{className:className,src:src,alt:""}):React.createElement(FallbackAvatar,{className:className})}var VotedUsersModalComponent=function(_Component){function VotedUsersModalComponent(){for(var _this,_len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];return(_this=_Component.call.apply(_Component,[this].concat(args))||this).styles=mergeStyles({styles:styles$3,theme:_this.props.rce.theme}),_this.state={members:[],moreItems:!0,cursor:void 0},_this.fetchVoters=_asyncToGenerator(_regeneratorRuntime.mark((function _callee(){var getSiteMember,_this$state,members,cursor,_yield$_this$props$fe,voters,moreItems;return _regeneratorRuntime.wrap((function(_context){for(;;)switch(_context.prev=_context.next){case 0:return getSiteMember=_this.props.getSiteMember,_this$state=_this.state,members=_this$state.members,cursor=_this$state.cursor,_context.prev=2,_context.next=5,_this.props.fetchVoters({cursor:cursor,limit:10});case 5:_yield$_this$props$fe=_context.sent,voters=_yield$_this$props$fe.voters,moreItems=_yield$_this$props$fe.moreItems,_this.setState({members:members.concat(voters.map((function(member){return member.memberId})).map(getSiteMember)),cursor:voters[voters.length-1].memberId,moreItems:moreItems}),_context.next=13;break;case 11:_context.prev=11,_context.t0=_context.catch(2);case 13:case"end":return _context.stop()}}),_callee,null,[[2,11]])}))),_this}return _inheritsLoose(VotedUsersModalComponent,_Component),VotedUsersModalComponent.prototype.render=function(){var _this$props=this.props,t=_this$props.t,option=_this$props.option,onRequestClose=_this$props.onRequestClose,_this$state2=this.state,members=_this$state2.members,moreItems=_this$state2.moreItems,styles=this.styles;return React.createElement("div",{className:styles.voted_users_modal},React.createElement("div",{className:styles.voted_users_modal_header},React.createElement("p",{className:styles.title},t("Poll_Viewer_VoteCount_Modal_Voters_Header",{count:option.count,number:option.count})),React.createElement(RemoveIcon,{onClick:onRequestClose,className:styles.close_icon})),React.createElement(InfiniteScroll,{className:styles.member_list_container,initialLoad:!0,hasMore:moreItems,loadMore:this.fetchVoters,loader:React.createElement("div",{className:styles.loader},React.createElement(LoaderIcon,{width:24,height:24,className:styles.spinner}))},React.createElement("ul",{className:styles.member_list},members.map((function(member){var _member$name;return member?React.createElement("li",{key:member.siteMemberId},React.createElement("div",{className:styles.user_card},React.createElement(VoterAvatar,{className:styles.user_avatar,src:member.imageUrl}),React.createElement("span",{className:styles.user_name},(null===(_member$name=member.name)||void 0===_member$name?void 0:_member$name.nick)||t("Poll_Viewer_VoteCount_Modal_Voters_Private_Voter")))):null})))),option.anonymousCount?React.createElement("p",{className:styles.anonymous_counter},t("Poll_Viewer_VoteCount_Modal_Voters_Anonymous",{anonNumber:option.anonymousCount})):null)},VotedUsersModalComponent}(Component),VotedUsersModal=withRCEHelpers(VotedUsersModalComponent),VotedUsers=withRCEHelpers(function(_PureComponent){function VotedUsersComponent(){for(var _this,_len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];return(_this=_PureComponent.call.apply(_PureComponent,[this].concat(args))||this).state={isOpen:!1,$container:null},_this.getContainer=function(){return _this.state.$container},_this.closeModal=function(){return _this.setState({isOpen:!1})},_this.openModal=function(e){var _this$props=_this.props,showVoters=_this$props.showVoters,rce=_this$props.rce;e.preventDefault(),e.keyCode||!showVoters||rce.preventInteraction||_this.setState({isOpen:_this.props.rce.isViewMode})},_this}_inheritsLoose(VotedUsersComponent,_PureComponent);var _proto=VotedUsersComponent.prototype;return _proto.getSiteMember=function(id){var _this$props$rce$getSi,_this$props$rce;return((null===(_this$props$rce$getSi=(_this$props$rce=this.props.rce).getSiteMembers)||void 0===_this$props$rce$getSi?void 0:_this$props$rce$getSi.call(_this$props$rce))||[]).find((function(siteMember){return siteMember.siteMemberId===id}))},_proto.getSiteMembers=function(){var _rce$getSiteMembers,_option$latestVoters,_this$props2=this.props,rce=_this$props2.rce,option=_this$props2.option,showVoters=_this$props2.showVoters,siteMembers=(null===(_rce$getSiteMembers=rce.getSiteMembers)||void 0===_rce$getSiteMembers?void 0:_rce$getSiteMembers.call(rce))||[];return showVoters&&siteMembers&&(null===(_option$latestVoters=option.latestVoters)||void 0===_option$latestVoters?void 0:_option$latestVoters.map(this.getSiteMember.bind(this)))||[]},_proto.renderMember=function(member){return member?React.createElement("li",{key:member.siteMemberId,className:styles$3.avatar},React.createElement(VoterAvatar,{className:styles$3.avatar,src:member.imageUrl})):null},_proto.render=function(){var _option$latestVoters2,_classnames,_option$latestVoters3,_this2=this,_this$props3=this.props,option=_this$props3.option,t=_this$props3.t,showResults=_this$props3.showResults,showVotes=_this$props3.showVotes,showVoters=_this$props3.showVoters,fetchVoters=_this$props3.fetchVoters,rce=_this$props3.rce,_this$state=this.state,isOpen=_this$state.isOpen,$container=_this$state.$container;return showResults&&showVotes&&option.count?React.createElement(React.Fragment,null,React.createElement("div",{className:cls(styles$3.container,(_classnames={},_classnames[styles$3.cta]=showVoters&&(null===(_option$latestVoters2=option.latestVoters)||void 0===_option$latestVoters2?void 0:_option$latestVoters2.length),_classnames[styles$3.webview]=rce.isWebView,_classnames)),ref:function($container){return _this2.setState({$container:$container})},onClick:this.openModal,onKeyPress:this.openModal,role:"button","aria-haspopup":"dialog",tabIndex:0},React.createElement("ul",{className:styles$3.avatar_list},this.getSiteMembers().map(this.renderMember)),React.createElement("span",null,t("Poll_Viewer_VoteCount",{number:option.count||0}))),$container&&null!==(_option$latestVoters3=option.latestVoters)&&void 0!==_option$latestVoters3&&_option$latestVoters3.length?React.createElement(ReactModal,{isOpen:isOpen,onRequestClose:this.closeModal,parentSelector:this.getContainer,className:cls(styles$3.modal),overlayClassName:cls(styles$3.overlay)},React.createElement(VotedUsersModal,{option:option,fetchVoters:fetchVoters,getSiteMember:this.getSiteMember.bind(this),onRequestClose:this.closeModal})):null):null},VotedUsersComponent}(PureComponent));PropTypes.bool,PropTypes.func,PropTypes.func,PropTypes.func,PropTypes.func,PropTypes.object,PropTypes.bool,PropTypes.bool,PropTypes.bool;var PollOptionBase=function(_React$PureComponent){function PollOptionBase(){for(var _this,_len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];return(_this=_React$PureComponent.call.apply(_React$PureComponent,[this].concat(args))||this).state={loading:!1,checked:_this.isUserChoice()},_this.handleRemove=function(e){e.stopPropagation(),_this.props.remove()},_this.handleVoteClick=function(){var _ref=_asyncToGenerator(_regeneratorRuntime.mark((function _callee(e){var _this$props$rce,validateUser,onBeforeVote,preventInteraction,preventVoting,voteRole,onVoteClick;return _regeneratorRuntime.wrap((function(_context){for(;;)switch(_context.prev=_context.next){case 0:if(_this$props$rce=_this.props.rce,validateUser=_this$props$rce.validateUser,onBeforeVote=_this$props$rce.onBeforeVote,preventInteraction=_this$props$rce.preventInteraction,preventVoting=_this$props$rce.preventVoting,voteRole=_this.props.poll.settings.voteRole,onVoteClick=onBeforeVote||validateUser,e.preventDefault(),!(e.keyCode||preventInteraction||preventVoting)){_context.next=6;break}return _context.abrupt("return");case 6:onVoteClick?onVoteClick({voteRole:voteRole}).then(_this.toggleVote.bind(_assertThisInitialized(_this)),(function(){})):_this.toggleVote();case 7:case"end":return _context.stop()}}),_callee)})));return function(_x){return _ref.apply(this,arguments)}}(),_this.handleTitleChange=function(title){var _this$props=_this.props,update=_this$props.update,option=_this$props.option;return update(_extends({},option,{title:title}))},_this.handleImageChange=function(mediaId){var _this$props2=_this.props,update=_this$props2.update,option=_this$props2.option;return update(_extends({},option,{mediaId:mediaId}))},_this}_inheritsLoose(PollOptionBase,_React$PureComponent);var _proto=PollOptionBase.prototype;return _proto.isEditAllowed=function(){return!this.props.option.count&&!this.props.rce.isPreview},_proto.isUserChoice=function(){var _poll$ownVotes,_this$props3=this.props,poll=_this$props3.poll,option=_this$props3.option;return!(null===(_poll$ownVotes=poll.ownVotes)||void 0===_poll$ownVotes||!_poll$ownVotes.includes(option.id))},_proto.isViewMode=function(){return this.props.rce.isViewMode},_proto.isGridLayout=function(){var _this$props$layout$po;return(null===(_this$props$layout$po=this.props.layout.poll)||void 0===_this$props$layout$po?void 0:_this$props$layout$po.type)===LAYOUT.GRID},_proto.isListLayout=function(){var _this$props$layout$po2;return(null===(_this$props$layout$po2=this.props.layout.poll)||void 0===_this$props$layout$po2?void 0:_this$props$layout$po2.type)===LAYOUT.LIST},_proto.isImageEnabled=function(){var _this$props$layout$op;return null===(_this$props$layout$op=this.props.layout.option)||void 0===_this$props$layout$op?void 0:_this$props$layout$op.enableImage},_proto.toggleVote=function(){var _toggleVote=_asyncToGenerator(_regeneratorRuntime.mark((function _callee2(){return _regeneratorRuntime.wrap((function(_context2){for(;;)switch(_context2.prev=_context2.next){case 0:if(this.setState({loading:!0}),_context2.prev=1,!this.isUserChoice()){_context2.next=8;break}return _context2.next=5,this.props.unvote(this.props.option.id);case 5:this.setState({checked:!1}),_context2.next=11;break;case 8:return _context2.next=10,this.props.vote(this.props.option.id);case 10:this.setState({checked:!0});case 11:_context2.next=15;break;case 13:_context2.prev=13,_context2.t0=_context2.catch(1);case 15:return _context2.prev=15,this.setState({loading:!1}),_context2.finish(15);case 18:case"end":return _context2.stop()}}),_callee2,this,[[1,13,15,18]])})));return function(){return _toggleVote.apply(this,arguments)}}(),_proto.getVotePercentage=function(){return this.props.option.rating||0},_proto.render=function(){return this.isViewMode()?this.renderViewMode():this.renderEditMode()},PollOptionBase}(React.PureComponent),styles$2={option:"_13DYo",user_choice:"_26WWd",check:"_3zbME",image:"_1q4-i",input:"_3tib1",title:"_1tHeg",centered:"_21zpa",with_result:"_1V0L4",list:"_2Z8GH",with_image:"_1UVFy",progress:"_3V3Ll",progress_value:"_4fKAA",label:"_1dM9d",cta:"_2KoHR",adornment_icon:"ENAGC",remove:"_2Z69S",overlay:"_3sdYF",shown:"_2Xqf2",dark:"_2dwHZ",spinner:"_1uwAo",spin:"_1LF3I"},PollGridOption=function(_PollOptionBase){function PollGridOption(){return _PollOptionBase.apply(this,arguments)||this}_inheritsLoose(PollGridOption,_PollOptionBase);var _proto=PollGridOption.prototype;return _proto.getCustomStyle=function(){var _design$option,design=this.props.design,borderRadius=parseInt(null===(_design$option=design.option)||void 0===_design$option?void 0:_design$option.borderRadius);return{input:{borderRadius:this.isImageEnabled()?"0 0 "+borderRadius+"px "+borderRadius+"px":borderRadius+"px"},image:{borderRadius:borderRadius+"px "+borderRadius+"px 0 0"}}},_proto.renderEditMode=function(){var _cls,_this$props=this.props,design=_this$props.design,option=_this$props.option,removeEnabled=_this$props.removeEnabled,dark=_this$props.dark,t=_this$props.t,style=this.getCustomStyle();return React.createElement("div",{className:cls(styles$2.option,(_cls={},_cls[styles$2.with_image]=this.isImageEnabled(),_cls[styles$2.dark]=dark,_cls)),style:design.option},this.isImageEnabled()&&React.createElement(ImageUpload,{className:styles$2.image,value:option.mediaId,onChange:this.handleImageChange,style:style.image,disabled:!this.isEditAllowed()}),React.createElement("div",{className:styles$2.title},React.createElement(TextField,{disabled:!this.isEditAllowed(),maxLength:60,style:style.input,className:cls(styles$2.input,styles$2.centered),value:option.title,placeholder:t("Poll_Editor_Answer_Placeholder"),onChange:this.handleTitleChange,endAdornment:React.createElement(React.Fragment,null,this.isEditAllowed()?null:React.createElement(Tooltip,{content:t("Poll_Editor_Answer_Error_NoEdit_Tooltip")},React.createElement(NonEditableIcon,{className:styles$2.adornment_icon})),removeEnabled&&React.createElement(RemoveIcon,{onClick:this.handleRemove,className:styles$2.remove}))})))},_proto.renderViewMode=function(){var _cls2,_cls3,_cls4,_this$props2=this.props,design=_this$props2.design,option=_this$props2.option,showResults=_this$props2.showResults,dark=_this$props2.dark,t=_this$props2.t,_this$state=this.state,loading=_this$state.loading,checked=_this$state.checked,style=this.getCustomStyle();return React.createElement("div",{className:cls(styles$2.option,styles$2.grid,styles$2.cta,(_cls2={},_cls2[styles$2.with_image]=this.isImageEnabled(),_cls2[styles$2.user_choice]=this.isUserChoice(),_cls2[styles$2.dark]=dark,_cls2)),style:design.option,onClick:this.handleVoteClick,onKeyPress:this.handleVoteClick,"aria-label":t(checked?"Poll_Viewer_Option_AriaLabel_Checked":"Poll_Viewer_Option_AriaLabel_Unchecked"),tabIndex:0,role:"button"},React.createElement("div",{className:cls(styles$2.overlay,(_cls3={},_cls3[styles$2.shown]=loading,_cls3)),style:design.option},React.createElement(LoaderIcon,{className:styles$2.spinner,width:36,height:36})),this.isImageEnabled()&&React.createElement(ImageUpload,{className:styles$2.image,value:option.mediaId,style:style.image}),React.createElement("div",{className:styles$2.title},React.createElement(TextField,{maxLength:60,style:style.input,className:cls(styles$2.input,styles$2.centered,(_cls4={},_cls4[styles$2.with_result]=showResults,_cls4)),value:option.title,placeholder:t("Poll_Editor_Answer_Placeholder")},React.createElement("span",{className:styles$2.progress,style:{width:this.getVotePercentage()+"%"}}),showResults&&React.createElement("span",{className:styles$2.progress_value},this.getVotePercentage(),"%"))),React.createElement("div",{className:styles$2.check,style:{color:dark?"#000":design.poll.background}},React.createElement(CheckIcon,{className:styles$2.icon})))},PollGridOption}(PollOptionBase);PollGridOption.propTypes=PollOptionBase.propTypes;var PollListOption=function(_PollOptionBase){function PollListOption(){return _PollOptionBase.apply(this,arguments)||this}_inheritsLoose(PollListOption,_PollOptionBase);var _proto=PollListOption.prototype;return _proto.getCustomStyle=function(){var _design$option,design=this.props.design,borderRadius=parseInt(null===(_design$option=design.option)||void 0===_design$option?void 0:_design$option.borderRadius);return{input:{borderRadius:borderRadius+"px"},image:{borderRadius:borderRadius+"px"}}},_proto.renderViewMode=function(){var _cls,_cls2,_cls3,_this$props=this.props,design=_this$props.design,option=_this$props.option,showResults=_this$props.showResults,dark=_this$props.dark,t=_this$props.t,_this$state=this.state,loading=_this$state.loading,checked=_this$state.checked,style=this.getCustomStyle();return React.createElement("div",{className:cls(styles$2.option,styles$2.list,styles$2.cta,(_cls={},_cls[styles$2.with_image]=this.isImageEnabled()&&option.mediaId,_cls[styles$2.user_choice]=this.isUserChoice(),_cls[styles$2.dark]=dark,_cls)),style:design.option,onClick:this.handleVoteClick,onKeyPress:this.handleVoteClick,"aria-label":t(checked?"Poll_Viewer_Option_AriaLabel_Checked":"Poll_Viewer_Option_AriaLabel_Unchecked"),tabIndex:0,role:"button"},React.createElement("div",{className:cls(styles$2.overlay,(_cls2={},_cls2[styles$2.shown]=loading,_cls2)),style:design.option},React.createElement(LoaderIcon,{className:styles$2.spinner,width:36,height:36})),React.createElement("div",{className:styles$2.title},React.createElement(TextField,{maxLength:60,style:style.input,className:cls(styles$2.input,(_cls3={},_cls3[styles$2.with_result]=showResults,_cls3)),value:option.title,placeholder:t("Poll_Editor_Answer_Placeholder"),startAdornment:React.createElement(ImageUpload,{className:styles$2.image,value:option.mediaId,style:style.image,small:!0})},React.createElement("span",{className:styles$2.progress,style:{width:this.getVotePercentage()+"%"}}),showResults&&React.createElement("span",{className:styles$2.progress_value},this.getVotePercentage(),"%"))),React.createElement("div",{className:styles$2.check,style:{color:dark?"#000":design.poll.background}},React.createElement(CheckIcon,{className:styles$2.icon})))},_proto.renderEditMode=function(){var _cls4,_this$props2=this.props,design=_this$props2.design,option=_this$props2.option,removeEnabled=_this$props2.removeEnabled,t=_this$props2.t,dark=_this$props2.dark,style=this.getCustomStyle();return React.createElement("div",{className:cls(styles$2.option,styles$2.list,(_cls4={},_cls4[styles$2.with_image]=this.isImageEnabled(),_cls4[styles$2.dark]=dark,_cls4)),style:design.option},React.createElement("div",{className:styles$2.title},React.createElement(TextField,{maxLength:60,style:style.input,className:styles$2.input,value:option.title,disabled:!this.isEditAllowed(),placeholder:t("Poll_Editor_Answer_Placeholder"),onChange:this.handleTitleChange,endAdornment:React.createElement(React.Fragment,null,this.isEditAllowed()?null:React.createElement(Tooltip,{content:t("Poll_Editor_Answer_Error_NoEdit_Tooltip")},React.createElement(NonEditableIcon,{className:styles$2.adornment_icon})),removeEnabled&&React.createElement(RemoveIcon,{onClick:this.handleRemove,className:styles$2.remove})),startAdornment:React.createElement(ImageUpload,{disabled:!this.isEditAllowed(),className:styles$2.image,value:option.mediaId,onChange:this.handleImageChange,style:style.image,small:!0})})))},PollListOption}(PollOptionBase);PollListOption.propTypes=PollOptionBase.propTypes;var styles$1_option="Zwujl",styles$1_image="_23Cl6",styles$1_input="f-nlx",styles$1_title="_1p9MC",styles$1_list="_2Js-U",styles$1_with_image="d5lGA",styles$1_dark="_3dZlE",styles$1_grid="_1XN1y",PollListOptionWebview=function(_PollOptionBase){function PollListOptionWebview(){return _PollOptionBase.apply(this,arguments)||this}return _inheritsLoose(PollListOptionWebview,_PollOptionBase),PollListOptionWebview.prototype.render=function(){var _cls,_this$props=this.props,option=_this$props.option,dark=_this$props.dark,t=_this$props.t;return React.createElement("div",{className:cls(styles$1_option,styles$1_list,(_cls={},_cls[styles$1_with_image]=this.isImageEnabled()&&option.mediaId,_cls[styles$1_dark]=dark,_cls))},React.createElement("div",{className:styles$1_title},React.createElement(TextField,{maxLength:60,className:cls(styles$1_input),value:option.title,placeholder:t("Poll_Editor_Answer_Placeholder"),startAdornment:React.createElement(ImageUpload,{className:styles$1_image,value:option.mediaId,small:!0})})))},PollListOptionWebview}(PollOptionBase);PollListOptionWebview.propTypes=PollOptionBase.propTypes;var PollGridOptionWebview=function(_PollOptionBase){function PollGridOptionWebview(){return _PollOptionBase.apply(this,arguments)||this}return _inheritsLoose(PollGridOptionWebview,_PollOptionBase),PollGridOptionWebview.prototype.render=function(){var _cls,_this$props=this.props,option=_this$props.option,dark=_this$props.dark,t=_this$props.t;return React.createElement("div",{className:cls(styles$1_option,styles$1_grid,(_cls={},_cls[styles$1_with_image]=this.isImageEnabled(),_cls[styles$1_dark]=dark,_cls))},this.isImageEnabled()&&React.createElement(ImageUpload,{className:styles$1_image,value:option.mediaId}),React.createElement("div",{className:styles$1_title},React.createElement(TextField,{maxLength:60,className:cls(styles$1_input),value:option.title,placeholder:t("Poll_Editor_Answer_Placeholder")})))},PollGridOptionWebview}(PollOptionBase);PollGridOptionWebview.propTypes=PollOptionBase.propTypes;var PollOption=withRCEHelpers((function(props){var _layout$poll,_layout$poll2,layout=props.layout;if(props.rce.isWebView)switch(null===(_layout$poll=layout.poll)||void 0===_layout$poll?void 0:_layout$poll.type){case LAYOUT.GRID:return React.createElement(PollGridOptionWebview,props);case LAYOUT.LIST:default:return React.createElement(PollListOptionWebview,props)}switch(null===(_layout$poll2=layout.poll)||void 0===_layout$poll2?void 0:_layout$poll2.type){case LAYOUT.GRID:return React.createElement(PollGridOption,props);case LAYOUT.LIST:default:return React.createElement(PollListOption,props)}})),styles={container:"_4HgUQ",fullscreen:"_3OzBQ",background_overlay:"_2hfji",with_image:"_33Xhh",options:"aRiIZ",webview:"_1_QIC",grid:"_1ROR-",option:"_19ync",cta_button:"_1WA-d",see_more:"_2-Hhq",add_option:"_3fTV1",list:"_2aN0l",column:"b52eb",additional_note:"_282IL",spinner:"TOyJY",spin:"_1mqbI",shown:"_3SHR0",error:"_1aQ3A"},Poll=withRCEHelpers(withPoll(function(_Component){function PollComponent(){for(var _this,_len=arguments.length,args=new Array(_len),_key=0;_key<_len;_key++)args[_key]=arguments[_key];return(_this=_Component.call.apply(_Component,[this].concat(args))||this).state={collapsed:_this.isInitiallyCollapsed(),error:null,loading:!1,bounds:null},_this.vote=function(){var _ref=_asyncToGenerator(_regeneratorRuntime.mark((function _callee(optionId){return _regeneratorRuntime.wrap((function(_context){for(;;)switch(_context.prev=_context.next){case 0:return _this.setState({error:null}),_context.prev=1,_context.next=4,_this.props.vote(optionId);case 4:_context.next=11;break;case 6:return _context.prev=6,_context.t0=_context.catch(1),console.error("[rce-social-polls] vote: ",_context.t0.response),_this.setState({error:_context.t0.message}),_context.abrupt("return",Promise.reject(_context.t0));case 11:case"end":return _context.stop()}}),_callee,null,[[1,6]])})));return function(_x){return _ref.apply(this,arguments)}}(),_this.unvote=function(){var _ref2=_asyncToGenerator(_regeneratorRuntime.mark((function _callee2(optionId){return _regeneratorRuntime.wrap((function(_context2){for(;;)switch(_context2.prev=_context2.next){case 0:return _this.setState({error:null}),_context2.prev=1,_context2.next=4,_this.props.unvote(optionId);case 4:_context2.next=11;break;case 6:return _context2.prev=6,_context2.t0=_context2.catch(1),console.error("[rce-social-polls] unvote: ",_context2.t0.response),_this.setState({error:_context2.t0.message}),_context2.abrupt("return",Promise.reject(_context2.t0));case 11:case"end":return _context2.stop()}}),_callee2,null,[[1,6]])})));return function(_x2){return _ref2.apply(this,arguments)}}(),_this.toggleCollapse=function(){return _this.setState({collapsed:!_this.state.collapsed})},_this.handleCTAFocus=function(e){e.stopPropagation(),_this.props.rce.setInPluginEditingMode(!0)},_this.handleCTABlur=function(){return _this.props.rce.setInPluginEditingMode(!1)},_this.onResize=function(_ref3){var bounds=_ref3.bounds;return _this.setState({bounds:bounds})},_this}_inheritsLoose(PollComponent,_Component);var _proto=PollComponent.prototype;return _proto.componentDidMount=function(){var _componentDidMount=_asyncToGenerator(_regeneratorRuntime.mark((function _callee3(){return _regeneratorRuntime.wrap((function(_context3){for(;;)switch(_context3.prev=_context3.next){case 0:this.props.poll.id&&this.fetchPoll();case 2:case"end":return _context3.stop()}}),_callee3,this)})));return function(){return _componentDidMount.apply(this,arguments)}}(),_proto.componentDidCatch=function(error){this.setState({error:error.message})},_proto.fetchPoll=function(){var _fetchPoll=_asyncToGenerator(_regeneratorRuntime.mark((function _callee4(){return _regeneratorRuntime.wrap((function(_context4){for(;;)switch(_context4.prev=_context4.next){case 0:if(!this.props.rce.isWebView&&!this.props.rce.preventInteraction){_context4.next=2;break}return _context4.abrupt("return");case 2:return this.setState({loading:!0,error:null}),_context4.prev=3,_context4.next=6,this.props.fetchPoll();case 6:_context4.next=12;break;case 8:_context4.prev=8,_context4.t0=_context4.catch(3),console.error("[rce-social-polls] fetchPoll: ",_context4.t0.response),this.setState({error:this.props.t("Poll_Viewer_Toast_Error_ServerDown")});case 12:return _context4.prev=12,this.setState({loading:!1}),_context4.finish(12);case 15:case"end":return _context4.stop()}}),_callee4,this,[[3,8,12,15]])})));return function(){return _fetchPoll.apply(this,arguments)}}(),_proto.isInitiallyCollapsed=function(){return this.props.poll.options.length>4},_proto.handleOptionUpdate=function(index){var _this2=this;return function(option){return _this2.props.updatePollOption(index,option)}},_proto.handleOptionRemove=function(index){var _this3=this;return function(){return _this3.props.removeOption(index)}},_proto.getNotes=function(){var _this$props=this.props,poll=_this$props.poll,t=_this$props.t;return[{condition:poll.settings.multipleVotes,label:t("Poll_Viewer_Multiselect_Footer")},{condition:poll.settings.resultsVisibility===VISIBILITY.ME&&poll.creatorFlag,label:t("Poll_Viewer_Visibility_Owner_Footer")}].filter((function(note){return!!note.condition}))},_proto.showResults=function(){var _this$props$poll$ownV;switch(this.props.poll.settings.resultsVisibility){case VISIBILITY.ALWAYS:return!0;case VISIBILITY.VOTERS:return this.props.poll.creatorFlag||!(null===(_this$props$poll$ownV=this.props.poll.ownVotes)||void 0===_this$props$poll$ownV||!_this$props$poll$ownV.length);case VISIBILITY.ME:return this.props.poll.creatorFlag;default:return!1}},_proto.hasImageBackground=function(){var _this$props$design$po;return(null===(_this$props$design$po=this.props.design.poll)||void 0===_this$props$design$po?void 0:_this$props$design$po.backgroundType)===BACKGROUND_TYPE.IMAGE},_proto.getOptionList=function(){var list,_this$props2=this.props,poll=_this$props2.poll,rce=_this$props2.rce,collapsed=this.state.collapsed;return!rce.isViewMode||this.showEditControls()?poll.options:(list=this.showResults()?Array.from(poll.options).sort((function(prev,option){return prev.rating?option.rating===prev.rating?0:option.rating>prev.rating?1:-1:1})):poll.options,collapsed?list.slice(0,4):list)},_proto.showEditControls=function(){var rce=this.props.rce;return!rce.isViewMode&&!rce.isPreview},_proto.render=function(){var _design$poll,_design$poll2,_this4=this,_this$props3=this.props,poll=_this$props3.poll,rce=_this$props3.rce,getVoters=_this$props3.getVoters,addOption=_this$props3.addOption,design=_this$props3.design,layout=_this$props3.layout,t=_this$props3.t,siteMembers=_this$props3.siteMembers,_this$state=this.state,collapsed=_this$state.collapsed,loading=_this$state.loading,bounds=_this$state.bounds,style=_extends({},design.poll,{background:getBackgroundString(null===(_design$poll=design.poll)||void 0===_design$poll?void 0:_design$poll.background,null===(_design$poll2=design.poll)||void 0===_design$poll2?void 0:_design$poll2.backgroundType,null==bounds?void 0:bounds.width,null==bounds?void 0:bounds.height)});return React.createElement(Measure,{bounds:!0,onResize:this.onResize},(function(_ref4){var _cls,_layout$poll,_cls2,_layout$poll2,_layout$poll3,_layout$option,_cls3,_layout$poll4,_layout$option2,_cls4,measureRef=_ref4.measureRef;return React.createElement("div",{className:cls(styles.container,(_cls={},_cls[styles.isMobile]=rce.isMobile,_cls[styles.webview]=rce.isWebView,_cls[styles.fullscreen]=rce.isPreview,_cls[styles.dark]=_this4.hasImageBackground(),_cls)),style:style,dir:null===(_layout$poll=layout.poll)||void 0===_layout$poll?void 0:_layout$poll.direction,ref:measureRef},React.createElement("div",{className:cls(styles.background_overlay,(_cls2={},_cls2[styles.with_image]=_this4.hasImageBackground(),_cls2))}),React.createElement(PollHeader,null),React.createElement("ul",{className:cls(styles.options,(_cls3={},_cls3[styles.list]=(null===(_layout$poll2=layout.poll)||void 0===_layout$poll2?void 0:_layout$poll2.type)===LAYOUT.LIST,_cls3[styles.grid]=(null===(_layout$poll3=layout.poll)||void 0===_layout$poll3?void 0:_layout$poll3.type)===LAYOUT.GRID,_cls3[styles.with_image]=null===(_layout$option=layout.option)||void 0===_layout$option?void 0:_layout$option.enableImage,_cls3))},React.createElement(FlipMove,{typeName:null,disableAllAnimations:_this4.showEditControls(),enterAnimation:"none",leaveAnimation:"none",verticalAlignment:"bottom"},_this4.getOptionList().map((function(option,i){return React.createElement("li",{className:styles.option,key:option.id||i},React.createElement(PollOption,{option:option,update:_this4.handleOptionUpdate(i),remove:_this4.handleOptionRemove(i),removeEnabled:_this4.showEditControls()&&poll.options.length>1,vote:_this4.vote,unvote:_this4.unvote,poll:poll,showResults:_this4.showResults(),dark:_this4.hasImageBackground()}),React.createElement(VotedUsers,{option:option,siteMembers:siteMembers,showResults:_this4.showResults(),showVoters:poll.settings.votersDisplay,showVotes:poll.settings.votesDisplay,fetchVoters:function(params){return getVoters(option.id,params)}}))})),_this4.showEditControls()&&React.createElement("li",{className:styles.column},React.createElement("button",{onClick:addOption,onFocus:_this4.handleCTAFocus,onBlur:_this4.handleCTABlur,className:styles.add_option,style:design.option},(null===(_layout$poll4=layout.poll)||void 0===_layout$poll4?void 0:_layout$poll4.type)===LAYOUT.GRID&&null!==(_layout$option2=layout.option)&&void 0!==_layout$option2&&_layout$option2.enableImage?React.createElement(AddIcon,null):React.createElement(React.Fragment,null,React.createElement(AddIcon,{width:24,height:24})," ",t("Poll_Editor_Answer_AddAnswer")))))),poll.options.length>4&&!_this4.showEditControls()&&React.createElement("button",{onClick:_this4.toggleCollapse,className:styles.see_more,style:design.option},collapsed?_this4.showResults()?t("Poll_Viewer_ShowAllResults_CTA"):t("Poll_Viewer_ShowAllOptions_CTA"):t("Poll_Viewer_ShowLess_CTA")),_this4.getNotes().map((function(note,i){return React.createElement("p",{className:styles.additional_note,key:i},note.label)})),React.createElement(LoaderIcon,{className:cls(styles.spinner,(_cls4={},_cls4[styles.shown]=loading,_cls4)),width:24,height:24}))}))},PollComponent}(Component))),PollViewer=function(_PureComponent){function PollViewer(){return _PureComponent.apply(this,arguments)||this}return _inheritsLoose(PollViewer,_PureComponent),PollViewer.prototype.render=function(){var _this$props=this.props,componentData=_this$props.componentData,settings=_this$props.settings,t=_this$props.t,theme=_this$props.theme,isMobile=_this$props.isMobile,layout=componentData.layout,design=componentData.design,poll=componentData.poll;return React.createElement(RCEHelpersContext.Provider,{value:_extends({isMobile:isMobile,layout:layout,design:design,t:t,theme:theme,isViewMode:!0},settings)},React.createElement(PollContextProvider,{poll:poll,settings:settings},React.createElement(Poll,null)))},PollViewer}(PureComponent);export{PollViewer,PollViewer as default};
